#!/usr/bin/make -f

APP=python-bitbucket
VERSION=$(shell head -n 1 debian/changelog | cut -f2 -d " " | tr -d "()" | cut -f1 -d "-")

ORIG_REPO=git clone https://github.com/ericof/python-bitbucket.git
ORIG_DIR=$(APP)-$(VERSION)
EXCLUDE=$(addprefix --exclude=, debian \*~ .hg .svn .git \*.pyc)

%:
	dh $@ --with python2


get-orig-source:
	$(ORIG_REPO) $(ORIG_DIR)
	tar $(EXCLUDE) -czf ../$(APP)_$(VERSION).orig.tar.gz $(ORIG_DIR)
	$(RM) -r $(ORIG_DIR)
